# Category TR정보

TR의 필드값을 설정하거나 가져오는 기능입니다.

- Method Summary
  Method | Description
  --- | ---
  YOA_SetTRInfo | YOA_SetFieldXXX/YOA_GetFieldXXX를 사용하기 전, TR의 정보(TRID, 블록명)를 설정하는 메소드입니다. (YOA_SetFieldXXX/YOA_GetFieldXXX를 사용하기 위해서는 사전에 설정되어야 합니다.)
  YOA_SetFieldString | 주어진 Field에 문자열 값을 설정하는 메소드입니다.
  YOA_SetFieldLong | 주어진 Field에 long 값을 설정하는 메소드입니다.
  YOA_SetFieldLong64 | 주어진 Field에 long64 값을 설정하는 메소드입니다.
  YOA_SetFieldDouble | 주어진 Field에 double 값을 설정하는 메소드입니다.
  YOA_SetFieldFloat | 주어진 Field에 float 값을 설정하는 메소드입니다.
  YOA_SetFieldWord | 주어진 Field에 WORD 값을 설정하는 메소드입니다.
  YOA_SetFieldByte | 주어진 Field에 byte 값을 설정하는 메소드입니다.
  YOA_SetTRFieldString | 주어진 TR, 블록의 Field에 문자열 값을 설정하는 메소드입니다.
  YOA_SetTRFieldLong | 주어진 TR, 블록의 Field에 long 값을 설정하는 메소드입니다.
  YOA_SetTRFieldLong64 | 주어진 TR, 블록의 Field에 long64 값을 설정하는 메소드입니다.
  YOA_SetTRFieldDouble | 주어진 TR, 블록의 Field에 double 값을 설정하는 메소드입니다.
  YOA_SetTRFieldFloat | 주어진 TR, 블록의 Field에 float 값을 설정하는 메소드입니다.
  YOA_SetTRFieldWord | 주어진 TR, 블록의 Field에 WORD 값을 설정하는 메소드입니다.
  YOA_SetTRFieldByte | 주어진 TR, 블록의 Field에 byte 값을 설정하는 메소드입니다.
  YOA_GetRowCount | Array타입 블록의 Row Count를 반환하는 메소드입니다.
  YOA_GetFieldAttr | 주어진 Field의 속성값을 가져오는 메소드입니다.
  YOA_GetFieldString | 주어진 Field값을 문자열 값으로 가져오는 메소드입니다.
  YOA_GetFieldLong | 주어진 Field값을 long 값으로 가져오는 메소드입니다.
  YOA_GetFieldLong64 | 주어진 Field값을 long64 값으로 가져오는 메소드입니다.
  YOA_GetFieldDouble | 주어진 Field값을 double 값으로 가져오는 메소드입니다.
  YOA_GetFieldFloat | 주어진 Field값을 float 값으로 가져오는 메소드입니다.
  YOA_GetFieldWord | 주어진 Field값을 WORD 값으로 가져오는 메소드입니다.
  YOA_GetFieldByte | 주어진 Field값을 byte 값으로 가져오는 메소드입니다.
  YOA_GetTRFieldAttr | 주어진 TR, 블록의 Field 속성값을 가져오는 메소드입니다.
  YOA_GetTRFieldString | 주어진 TR, 블록의 Field값을 문자열 값으로 가져오는 메소드입니다.
  YOA_GetTRFieldLong | 주어진 TR, 블록의 Field값을 long 값으로 가져오는 메소드입니다.
  YOA_GetTRFieldLong64 | 주어진 TR, 블록의 Field값을 long64 값으로 가져오는 메소드입니다.
  YOA_GetTRFieldDouble | 주어진 TR, 블록의 Field값을 double 값으로 가져오는 메소드입니다.
  YOA_GetTRFieldFloat | 주어진 TR, 블록의 Field값을 float 값으로 가져오는 메소드입니다.
  YOA_GetTRFieldWord | 주어진 TR, 블록의 Field값을 WORD 값으로 가져오는 메소드입니다.
  YOA_GetTRFieldByte | 주어진 TR, 블록의 Field값을 byte 값으로 가져오는 메소드입니다.

COPYRIGHT @ Yuanta Securities Korea Co., Ltd. ALL RIGHT RESERVED.